首页 云计算

云安全日报210527:Ubuntu配套LZ4解压缩软件发现执行任意代码漏洞,需要尽快升级

Ubuntu是一个以桌面应用为主的Linux操作系统。它是一个开放源代码的自由软件,提供了一个健壮、功能丰富的计算环境,既适合家庭使用又适用于商业环境。Ubuntu将为全球数百个公司提供商业支持。

LZ4是Ubuntu解压缩软件中配套的一种无损高效的压缩算法。5月26日,Ubuntu发布了安全更新,修复了配套LZ4解压缩软件发现的拒绝服务和执行任意代码等重要漏洞。以下是漏洞详情:

漏洞详情

来源:https://ubuntu.com/security/notices/USN-4968-1

CVE-2021-3520 严重程度:中

LZ4错误地处理了某些内存操作。如果诱使用户或自动化系统解压缩特制的LZ4文件,则远程攻击者可能会利用此问题导致LZ4崩溃,从而导致拒绝服务或可能执行任意代码。

受影响产品和版本

上述漏洞影响Ubuntu 21.04, Ubuntu的20.10, Ubuntu 20.04 LTS, Ubuntu 18.04 LTS

解决方案

可以通过将系统更新为以下软件包版本来解决此问题:

Ubuntu 21.04:

liblz4-1 - 1.9.3-1ubuntu0.1

Ubuntu的20.10:

liblz4-1 - 1.9.2-2ubuntu0.20.10.1

Ubuntu的20.04:

liblz4-1 - 1.9.2-2ubuntu0.20.04.1

Ubuntu 18.04:

liblz4-1 - 0.0〜r131-2ubuntu3.1

查看更多漏洞信息 以及升级请访问官网:

https://ubuntu.com/security/cve

官方微博/微信

每日头条、业界资讯、热点资讯、八卦爆料,全天跟踪微博播报。各种爆料、内幕、花边、资讯一网打尽。百万互联网粉丝互动参与,TechWeb官方微博期待您的关注。

↑扫描二维码

想在手机上看科技资讯和科技八卦吗?

想第一时间看独家爆料和深度报道吗?

请关注TechWeb官方微信公众帐号:

1.用手机扫左侧二维码;

2.在添加朋友里,搜索关注TechWeb。

手机游戏更多